import { HTMLAttributes } from 'react';
import { FC } from 'react';
import { DisplayConfig } from '../models/display-config';
import { LedStrip } from './led-strip';

export interface DisplayWithLedStripsProps extends HTMLAttributes<HTMLElement> {
  config: DisplayConfig;
  screenshot: string;
}

export const DisplayWithLedStrips: FC<DisplayWithLedStripsProps> = ({
  config,
  screenshot,
  ...htmlAttrs
}) => {
  return (
    <section className="m-4 grid grid-rows-3 grid-cols-3 gr" {...htmlAttrs}>
      <img src={screenshot} className="row-start-2 col-start-2" />
      <LedStrip config={config.top_led_strip} className="row-start-1 col-start-2 h-1" />
      <LedStrip config={config.left_led_strip} className="row-start-2 col-start-1 w-1" />
      <LedStrip config={config.right_led_strip} className="row-start-2 col-start-3" />
      <LedStrip config={config.bottom_led_strip} className="row-start-3 col-start-2" />
    </section>
  );
};
